From 02340b6422a324eddbaa096fbeef95ed3a4cd6df Mon Sep 17 00:00:00 2001
From: kommih <haribabuk@fast.au.fujitsu.com>
Date: Thu, 27 Sep 2018 15:54:10 +1000
Subject: [PATCH 1/3] Movting GUC variable declartion to proper place

---
 src/backend/access/heap/heapam.c   | 3 ---
 src/backend/access/table/tableam.c | 6 ++----
 src/include/access/tableam.h       | 1 +
 3 files changed, 3 insertions(+), 7 deletions(-)

diff --git a/src/backend/access/heap/heapam.c b/src/backend/access/heap/heapam.c
index 6d516ccc0b..bff7049214 100644
--- a/src/backend/access/heap/heapam.c
+++ b/src/backend/access/heap/heapam.c
@@ -80,9 +80,6 @@
 #include "nodes/execnodes.h"
 #include "executor/executor.h"
 
-/* GUC variable */
-bool		synchronize_seqscans = true;
-
 static HeapTuple heap_prepare_insert(Relation relation, HeapTuple tup,
 					TransactionId xid, CommandId cid, int options);
 static XLogRecPtr log_heap_update(Relation reln, Buffer oldbuf,
diff --git a/src/backend/access/table/tableam.c b/src/backend/access/table/tableam.c
index 96c5325ddb..af99264df9 100644
--- a/src/backend/access/table/tableam.c
+++ b/src/backend/access/table/tableam.c
@@ -15,10 +15,8 @@
 #include "storage/bufmgr.h"
 #include "storage/shmem.h"
 
-
-// PBORKED: move to header
-extern bool synchronize_seqscans;
-
+/* GUC variable */
+bool		synchronize_seqscans = true;
 
 char *default_table_access_method = DEFAULT_TABLE_ACCESS_METHOD;
 
diff --git a/src/include/access/tableam.h b/src/include/access/tableam.h
index 5f6b39c0e0..d0a5f59aa9 100644
--- a/src/include/access/tableam.h
+++ b/src/include/access/tableam.h
@@ -48,6 +48,7 @@ typedef enum tuple_data_flags
 }			tuple_data_flags;
 
 extern char *default_table_access_method;
+extern bool synchronize_seqscans;
 
 /*
  * Storage routine function hooks
-- 
2.18.0.windows.1

